import Vue from 'vue';
import Delayer from './utils/Delayer';
import Mutator, { Key } from './utils/Mutator';
import Editor from './utils/Editor';
interface E extends Event {
    target: HTMLInputElement;
}
export default class<T = any, V = string> extends Vue {
    delayer: Delayer;
    keys: Key;
    editor: Editor<T>;
    readonly value: V;
    readonly errors: string[];
    input(e: E | V): Promise<any>;
}
export { Editor };
export { Mutator };
